Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4368 - pump determins incorrect netmask and no resolv.conf entries
Summary: pump determins incorrect netmask and no resolv.conf entries
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump
Version: 6.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-05 11:37 UTC by redhat
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-15 21:41:37 UTC


Attachments (Terms of Use)

Description redhat 1999-08-05 11:37:24 UTC
Hello,
I ask a Brick-Router for DHCP, I can get an IP from
pool 10.10.12/24. But RH set's netmask to /8 (255.0.0.0)
which is incorrect for this network. Also I do not get
any resolv.conf entries. I _think_ the Brick works correct,
cause a win95 client connected to the same hub can
get all information correct w/o any pre-configuration of
DNS or netmask.
I will try to hunt down a bit with tcpdump, meanwhile
I modified network-scripts to let NETMASK being configurable
and re-setup eth0 after getting an IP, so I can work on.

Greets,
Philipp Buehler

Comment 1 Erik Troan 2000-02-15 21:41:59 UTC
Please reopen if this behavior is still occuring.


Note You need to log in before you can comment on or make changes to this bug.